#!/bin/sh
# ---------------------------------------------------------------------------
# JOnAS: Java(TM) Open Application Server
# Copyright (C) 1999 Bull S.A.
# Contact: jonas-team@objectweb.org
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): ____________________________________.
# Contributor(s): ______________________________________.
#
# ---------------------------------------------------------------------------
# $Id$
# ---------------------------------------------------------------------------

if [ -z "$OBJECTWEB_ORB" ]
then
    # JEREMIE or RMI or DAVID
    OBJECTWEB_ORB=RMI
fi
DEFINE_TOMCAT=""
if [ -z "$TOMCAT_HOME" -a -n "$CATALINA_HOME" ]
then    
    DEFINE_TOMCAT="-Dtomcat.home=$CATALINA_HOME"
    if [ -n "$CATALINA_BASE" ]
    then
	DEFINE_TOMCAT="$DEFINE_TOMCAT -Dtomcat.base=$CATALINA_BASE" 
    fi
fi

if [ -n "$TOMCAT_HOME" ]
then
    DEFINE_TOMCAT="-Dtomcat.home=$TOMCAT_HOME"
fi

ant -emacs \
    -Dobjectweb_orb=$OBJECTWEB_ORB \
    -Djonas.root=$JONAS_ROOT \
    $DEFINE_TOMCAT \
    "$@"
